zlaset.f(3)

NAME
zlaset.f

SYNOPSIS

  Functions/Subroutines
subroutine zlaset (UPLO, M, N, ALPHA, BETA, A, LDA)
ZLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.

Function/Subroutine Documentation

  subroutine zlaset (character UPLO, integer M, integer N, complex*16 ALPHA, complex*16 BETA, complex*16, dimension( lda, * ) A, integer LDA)

Purpose:

     ZLASET initializes a 2-D array A to BETA on the diagonal and
     ALPHA on the offdiagonals.

Parameters
    UPLO

              UPLO is CHARACTER*1
              Specifies the part of the matrix A to be set.
              = 'U':      Upper triangular part is set. The lower triangle
                          is unchanged.
              = 'L':      Lower triangular part is set. The upper triangle
                          is unchanged.
              Otherwise:  All of the matrix A is set.

    M

              M is INTEGER
              On entry, M specifies the number of rows of A.

    N

              N is INTEGER
              On entry, N specifies the number of columns of A.

    ALPHA

              ALPHA is COMPLEX*16
              All the offdiagonal array elements are set to ALPHA.

    BETA

              BETA is COMPLEX*16
              All the diagonal array elements are set to BETA.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              On entry, the m by n matrix A.
              On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n, i.ne.j;
                       A(i,i) = BETA , 1 <= i <= min(m,n)

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 105 of file zlaset.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.